> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigene.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Context Type List Defaults

> Endpoint to list available default/ready-made context types.
This returns the predefined context types from the seed data file without installing them.

Args:
    None

Returns:
    List[ContextTypeCreate]: List of available default context types.

Raises:
    HTTPException 500: If an error occurs while loading the defaults.



## OpenAPI

````yaml get /api/context-type/defaults
openapi: 3.1.0
info:
  title: Apigene
  description: Apigene API
  version: 1.0.0
  contact:
    name: Apigene Support
    url: https://app.apigene.ai
    email: support@apigene.ai
servers:
  - url: https://app.apigene.ai
security:
  - BearerAuth: []
paths:
  /api/context-type/defaults:
    get:
      tags:
        - Context Type
      summary: Context Type List Defaults
      description: >-
        Endpoint to list available default/ready-made context types.

        This returns the predefined context types from the seed data file
        without installing them.


        Args:
            None

        Returns:
            List[ContextTypeCreate]: List of available default context types.

        Raises:
            HTTPException 500: If an error occurs while loading the defaults.
      operationId: context_type_list_defaults
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ContextTypeCreate'
                type: array
                title: Response Context Type List Defaults
      security:
        - BearerAuth: []
components:
  schemas:
    ContextTypeCreate:
      properties:
        name:
          type: string
          title: Name
          description: Name of the context type
        summary:
          type: string
          title: Summary
          description: Summary of the context type
        description:
          type: string
          title: Description
          description: Detailed information on the context type
        when_to_use:
          type: string
          title: When To Use
          description: Explanation to agent when to use the context type
        how_to_generate:
          type: string
          title: How To Generate
          description: Explanation to agent how to generate new context of this type
      type: object
      required:
        - name
        - summary
        - description
        - when_to_use
        - how_to_generate
      title: ContextTypeCreate
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        'Authorization: Bearer {token}'

````